Makefile.in 21 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674
  1. # Makefile.in generated by automake 1.11 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
  5. # Inc.
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9. # This program is distributed in the hope that it will be useful,
  10. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  11. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  12. # PARTICULAR PURPOSE.
  13. @SET_MAKE@
  14. VPATH = @srcdir@
  15. pkgdatadir = $(datadir)/@PACKAGE@
  16. pkgincludedir = $(includedir)/@PACKAGE@
  17. pkglibdir = $(libdir)/@PACKAGE@
  18. pkglibexecdir = $(libexecdir)/@PACKAGE@
  19. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  20. install_sh_DATA = $(install_sh) -c -m 644
  21. install_sh_PROGRAM = $(install_sh) -c
  22. install_sh_SCRIPT = $(install_sh) -c
  23. INSTALL_HEADER = $(INSTALL_DATA)
  24. transform = $(program_transform_name)
  25. NORMAL_INSTALL = :
  26. PRE_INSTALL = :
  27. POST_INSTALL = :
  28. NORMAL_UNINSTALL = :
  29. PRE_UNINSTALL = :
  30. POST_UNINSTALL = :
  31. subdir = .
  32. DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  33. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  34. $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
  35. depcomp install-sh missing
  36. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  37. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  38. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  39. $(ACLOCAL_M4)
  40. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  41. configure.lineno config.status.lineno
  42. mkinstalldirs = $(install_sh) -d
  43. CONFIG_HEADER = config.h
  44. CONFIG_CLEAN_FILES =
  45. CONFIG_CLEAN_VPATH_FILES =
  46. SOURCES =
  47. DIST_SOURCES =
  48. RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
  49. html-recursive info-recursive install-data-recursive \
  50. install-dvi-recursive install-exec-recursive \
  51. install-html-recursive install-info-recursive \
  52. install-pdf-recursive install-ps-recursive install-recursive \
  53. installcheck-recursive installdirs-recursive pdf-recursive \
  54. ps-recursive uninstall-recursive
  55. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  56. distclean-recursive maintainer-clean-recursive
  57. AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
  58. $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
  59. distdir dist dist-all distcheck
  60. ETAGS = etags
  61. CTAGS = ctags
  62. DIST_SUBDIRS = $(SUBDIRS)
  63. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  64. distdir = $(PACKAGE)-$(VERSION)
  65. top_distdir = $(distdir)
  66. am__remove_distdir = \
  67. { test ! -d "$(distdir)" \
  68. || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  69. && rm -fr "$(distdir)"; }; }
  70. am__relativize = \
  71. dir0=`pwd`; \
  72. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  73. sed_rest='s,^[^/]*/*,,'; \
  74. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  75. sed_butlast='s,/*[^/]*$$,,'; \
  76. while test -n "$$dir1"; do \
  77. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  78. if test "$$first" != "."; then \
  79. if test "$$first" = ".."; then \
  80. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  81. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  82. else \
  83. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  84. if test "$$first2" = "$$first"; then \
  85. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  86. else \
  87. dir2="../$$dir2"; \
  88. fi; \
  89. dir0="$$dir0"/"$$first"; \
  90. fi; \
  91. fi; \
  92. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  93. done; \
  94. reldir="$$dir2"
  95. DIST_ARCHIVES = $(distdir).tar.gz
  96. GZIP_ENV = --best
  97. distuninstallcheck_listfiles = find . -type f -print
  98. distcleancheck_listfiles = find . -type f -print
  99. ACLOCAL = @ACLOCAL@
  100. AMTAR = @AMTAR@
  101. AUTOCONF = @AUTOCONF@
  102. AUTOHEADER = @AUTOHEADER@
  103. AUTOMAKE = @AUTOMAKE@
  104. AWK = @AWK@
  105. CC = @CC@
  106. CCDEPMODE = @CCDEPMODE@
  107. CFLAGS = @CFLAGS@
  108. CPPFLAGS = @CPPFLAGS@
  109. CYGPATH_W = @CYGPATH_W@
  110. DEFS = @DEFS@
  111. DEPDIR = @DEPDIR@
  112. ECHO_C = @ECHO_C@
  113. ECHO_N = @ECHO_N@
  114. ECHO_T = @ECHO_T@
  115. EXEEXT = @EXEEXT@
  116. INSTALL = @INSTALL@
  117. INSTALL_DATA = @INSTALL_DATA@
  118. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  119. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  120. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  121. LDFLAGS = @LDFLAGS@
  122. LIBOBJS = @LIBOBJS@
  123. LIBS = @LIBS@
  124. LTLIBOBJS = @LTLIBOBJS@
  125. MAKEINFO = @MAKEINFO@
  126. MKDIR_P = @MKDIR_P@
  127. MSSH_CFLAGS = @MSSH_CFLAGS@
  128. MSSH_LIBS = @MSSH_LIBS@
  129. OBJEXT = @OBJEXT@
  130. PACKAGE = @PACKAGE@
  131. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  132. PACKAGE_NAME = @PACKAGE_NAME@
  133. PACKAGE_STRING = @PACKAGE_STRING@
  134. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  135. PACKAGE_URL = @PACKAGE_URL@
  136. PACKAGE_VERSION = @PACKAGE_VERSION@
  137. PATH_SEPARATOR = @PATH_SEPARATOR@
  138. PKG_CONFIG = @PKG_CONFIG@
  139. SET_MAKE = @SET_MAKE@
  140. SHELL = @SHELL@
  141. STRIP = @STRIP@
  142. VERSION = @VERSION@
  143. abs_builddir = @abs_builddir@
  144. abs_srcdir = @abs_srcdir@
  145. abs_top_builddir = @abs_top_builddir@
  146. abs_top_srcdir = @abs_top_srcdir@
  147. ac_ct_CC = @ac_ct_CC@
  148. am__include = @am__include@
  149. am__leading_dot = @am__leading_dot@
  150. am__quote = @am__quote@
  151. am__tar = @am__tar@
  152. am__untar = @am__untar@
  153. bindir = @bindir@
  154. build_alias = @build_alias@
  155. builddir = @builddir@
  156. datadir = @datadir@
  157. datarootdir = @datarootdir@
  158. docdir = @docdir@
  159. dvidir = @dvidir@
  160. exec_prefix = @exec_prefix@
  161. host_alias = @host_alias@
  162. htmldir = @htmldir@
  163. includedir = @includedir@
  164. infodir = @infodir@
  165. install_sh = @install_sh@
  166. libdir = @libdir@
  167. libexecdir = @libexecdir@
  168. localedir = @localedir@
  169. localstatedir = @localstatedir@
  170. mandir = @mandir@
  171. mkdir_p = @mkdir_p@
  172. oldincludedir = @oldincludedir@
  173. pdfdir = @pdfdir@
  174. prefix = @prefix@
  175. program_transform_name = @program_transform_name@
  176. psdir = @psdir@
  177. sbindir = @sbindir@
  178. sharedstatedir = @sharedstatedir@
  179. srcdir = @srcdir@
  180. sysconfdir = @sysconfdir@
  181. target_alias = @target_alias@
  182. top_build_prefix = @top_build_prefix@
  183. top_builddir = @top_builddir@
  184. top_srcdir = @top_srcdir@
  185. SUBDIRS = src
  186. all: config.h
  187. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  188. .SUFFIXES:
  189. am--refresh:
  190. @:
  191. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  192. @for dep in $?; do \
  193. case '$(am__configure_deps)' in \
  194. *$$dep*) \
  195. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  196. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  197. && exit 0; \
  198. exit 1;; \
  199. esac; \
  200. done; \
  201. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  202. $(am__cd) $(top_srcdir) && \
  203. $(AUTOMAKE) --gnu Makefile
  204. .PRECIOUS: Makefile
  205. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  206. @case '$?' in \
  207. *config.status*) \
  208. echo ' $(SHELL) ./config.status'; \
  209. $(SHELL) ./config.status;; \
  210. *) \
  211. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  212. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  213. esac;
  214. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  215. $(SHELL) ./config.status --recheck
  216. $(top_srcdir)/configure: $(am__configure_deps)
  217. $(am__cd) $(srcdir) && $(AUTOCONF)
  218. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  219. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  220. $(am__aclocal_m4_deps):
  221. config.h: stamp-h1
  222. @if test ! -f $@; then \
  223. rm -f stamp-h1; \
  224. $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  225. else :; fi
  226. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  227. @rm -f stamp-h1
  228. cd $(top_builddir) && $(SHELL) ./config.status config.h
  229. $(srcdir)/config.h.in: $(am__configure_deps)
  230. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  231. rm -f stamp-h1
  232. touch $@
  233. distclean-hdr:
  234. -rm -f config.h stamp-h1
  235. # This directory's subdirectories are mostly independent; you can cd
  236. # into them and run `make' without going through this Makefile.
  237. # To change the values of `make' variables: instead of editing Makefiles,
  238. # (1) if the variable is set in `config.status', edit `config.status'
  239. # (which will cause the Makefiles to be regenerated when you run `make');
  240. # (2) otherwise, pass the desired values on the `make' command line.
  241. $(RECURSIVE_TARGETS):
  242. @failcom='exit 1'; \
  243. for f in x $$MAKEFLAGS; do \
  244. case $$f in \
  245. *=* | --[!k]*);; \
  246. *k*) failcom='fail=yes';; \
  247. esac; \
  248. done; \
  249. dot_seen=no; \
  250. target=`echo $@ | sed s/-recursive//`; \
  251. list='$(SUBDIRS)'; for subdir in $$list; do \
  252. echo "Making $$target in $$subdir"; \
  253. if test "$$subdir" = "."; then \
  254. dot_seen=yes; \
  255. local_target="$$target-am"; \
  256. else \
  257. local_target="$$target"; \
  258. fi; \
  259. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  260. || eval $$failcom; \
  261. done; \
  262. if test "$$dot_seen" = "no"; then \
  263. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  264. fi; test -z "$$fail"
  265. $(RECURSIVE_CLEAN_TARGETS):
  266. @failcom='exit 1'; \
  267. for f in x $$MAKEFLAGS; do \
  268. case $$f in \
  269. *=* | --[!k]*);; \
  270. *k*) failcom='fail=yes';; \
  271. esac; \
  272. done; \
  273. dot_seen=no; \
  274. case "$@" in \
  275. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  276. *) list='$(SUBDIRS)' ;; \
  277. esac; \
  278. rev=''; for subdir in $$list; do \
  279. if test "$$subdir" = "."; then :; else \
  280. rev="$$subdir $$rev"; \
  281. fi; \
  282. done; \
  283. rev="$$rev ."; \
  284. target=`echo $@ | sed s/-recursive//`; \
  285. for subdir in $$rev; do \
  286. echo "Making $$target in $$subdir"; \
  287. if test "$$subdir" = "."; then \
  288. local_target="$$target-am"; \
  289. else \
  290. local_target="$$target"; \
  291. fi; \
  292. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  293. || eval $$failcom; \
  294. done && test -z "$$fail"
  295. tags-recursive:
  296. list='$(SUBDIRS)'; for subdir in $$list; do \
  297. test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  298. done
  299. ctags-recursive:
  300. list='$(SUBDIRS)'; for subdir in $$list; do \
  301. test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  302. done
  303. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  304. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  305. unique=`for i in $$list; do \
  306. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  307. done | \
  308. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  309. END { if (nonempty) { for (i in files) print i; }; }'`; \
  310. mkid -fID $$unique
  311. tags: TAGS
  312. TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  313. $(TAGS_FILES) $(LISP)
  314. set x; \
  315. here=`pwd`; \
  316. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  317. include_option=--etags-include; \
  318. empty_fix=.; \
  319. else \
  320. include_option=--include; \
  321. empty_fix=; \
  322. fi; \
  323. list='$(SUBDIRS)'; for subdir in $$list; do \
  324. if test "$$subdir" = .; then :; else \
  325. test ! -f $$subdir/TAGS || \
  326. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  327. fi; \
  328. done; \
  329. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  330. unique=`for i in $$list; do \
  331. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  332. done | \
  333. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  334. END { if (nonempty) { for (i in files) print i; }; }'`; \
  335. shift; \
  336. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  337. test -n "$$unique" || unique=$$empty_fix; \
  338. if test $$# -gt 0; then \
  339. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  340. "$$@" $$unique; \
  341. else \
  342. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  343. $$unique; \
  344. fi; \
  345. fi
  346. ctags: CTAGS
  347. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  348. $(TAGS_FILES) $(LISP)
  349. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  350. unique=`for i in $$list; do \
  351. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  352. done | \
  353. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  354. END { if (nonempty) { for (i in files) print i; }; }'`; \
  355. test -z "$(CTAGS_ARGS)$$unique" \
  356. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  357. $$unique
  358. GTAGS:
  359. here=`$(am__cd) $(top_builddir) && pwd` \
  360. && $(am__cd) $(top_srcdir) \
  361. && gtags -i $(GTAGS_ARGS) "$$here"
  362. distclean-tags:
  363. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  364. distdir: $(DISTFILES)
  365. $(am__remove_distdir)
  366. test -d "$(distdir)" || mkdir "$(distdir)"
  367. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  368. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  369. list='$(DISTFILES)'; \
  370. dist_files=`for file in $$list; do echo $$file; done | \
  371. sed -e "s|^$$srcdirstrip/||;t" \
  372. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  373. case $$dist_files in \
  374. */*) $(MKDIR_P) `echo "$$dist_files" | \
  375. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  376. sort -u` ;; \
  377. esac; \
  378. for file in $$dist_files; do \
  379. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  380. if test -d $$d/$$file; then \
  381. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  382. if test -d "$(distdir)/$$file"; then \
  383. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  384. fi; \
  385. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  386. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  387. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  388. fi; \
  389. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  390. else \
  391. test -f "$(distdir)/$$file" \
  392. || cp -p $$d/$$file "$(distdir)/$$file" \
  393. || exit 1; \
  394. fi; \
  395. done
  396. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  397. if test "$$subdir" = .; then :; else \
  398. test -d "$(distdir)/$$subdir" \
  399. || $(MKDIR_P) "$(distdir)/$$subdir" \
  400. || exit 1; \
  401. fi; \
  402. done
  403. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  404. if test "$$subdir" = .; then :; else \
  405. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  406. $(am__relativize); \
  407. new_distdir=$$reldir; \
  408. dir1=$$subdir; dir2="$(top_distdir)"; \
  409. $(am__relativize); \
  410. new_top_distdir=$$reldir; \
  411. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  412. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  413. ($(am__cd) $$subdir && \
  414. $(MAKE) $(AM_MAKEFLAGS) \
  415. top_distdir="$$new_top_distdir" \
  416. distdir="$$new_distdir" \
  417. am__remove_distdir=: \
  418. am__skip_length_check=: \
  419. am__skip_mode_fix=: \
  420. distdir) \
  421. || exit 1; \
  422. fi; \
  423. done
  424. -test -n "$(am__skip_mode_fix)" \
  425. || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  426. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  427. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  428. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  429. || chmod -R a+r "$(distdir)"
  430. dist-gzip: distdir
  431. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  432. $(am__remove_distdir)
  433. dist-bzip2: distdir
  434. tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  435. $(am__remove_distdir)
  436. dist-lzma: distdir
  437. tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  438. $(am__remove_distdir)
  439. dist-xz: distdir
  440. tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  441. $(am__remove_distdir)
  442. dist-tarZ: distdir
  443. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  444. $(am__remove_distdir)
  445. dist-shar: distdir
  446. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  447. $(am__remove_distdir)
  448. dist-zip: distdir
  449. -rm -f $(distdir).zip
  450. zip -rq $(distdir).zip $(distdir)
  451. $(am__remove_distdir)
  452. dist dist-all: distdir
  453. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  454. $(am__remove_distdir)
  455. # This target untars the dist file and tries a VPATH configuration. Then
  456. # it guarantees that the distribution is self-contained by making another
  457. # tarfile.
  458. distcheck: dist
  459. case '$(DIST_ARCHIVES)' in \
  460. *.tar.gz*) \
  461. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  462. *.tar.bz2*) \
  463. bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  464. *.tar.lzma*) \
  465. unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
  466. *.tar.xz*) \
  467. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  468. *.tar.Z*) \
  469. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  470. *.shar.gz*) \
  471. GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  472. *.zip*) \
  473. unzip $(distdir).zip ;;\
  474. esac
  475. chmod -R a-w $(distdir); chmod a+w $(distdir)
  476. mkdir $(distdir)/_build
  477. mkdir $(distdir)/_inst
  478. chmod a-w $(distdir)
  479. test -d $(distdir)/_build || exit 0; \
  480. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  481. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  482. && am__cwd=`pwd` \
  483. && $(am__cd) $(distdir)/_build \
  484. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  485. $(DISTCHECK_CONFIGURE_FLAGS) \
  486. && $(MAKE) $(AM_MAKEFLAGS) \
  487. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  488. && $(MAKE) $(AM_MAKEFLAGS) check \
  489. && $(MAKE) $(AM_MAKEFLAGS) install \
  490. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  491. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  492. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  493. distuninstallcheck \
  494. && chmod -R a-w "$$dc_install_base" \
  495. && ({ \
  496. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  497. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  498. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  499. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  500. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  501. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  502. && rm -rf "$$dc_destdir" \
  503. && $(MAKE) $(AM_MAKEFLAGS) dist \
  504. && rm -rf $(DIST_ARCHIVES) \
  505. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  506. && cd "$$am__cwd" \
  507. || exit 1
  508. $(am__remove_distdir)
  509. @(echo "$(distdir) archives ready for distribution: "; \
  510. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  511. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  512. distuninstallcheck:
  513. @$(am__cd) '$(distuninstallcheck_dir)' \
  514. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  515. || { echo "ERROR: files left after uninstall:" ; \
  516. if test -n "$(DESTDIR)"; then \
  517. echo " (check DESTDIR support)"; \
  518. fi ; \
  519. $(distuninstallcheck_listfiles) ; \
  520. exit 1; } >&2
  521. distcleancheck: distclean
  522. @if test '$(srcdir)' = . ; then \
  523. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  524. exit 1 ; \
  525. fi
  526. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  527. || { echo "ERROR: files left in build directory after distclean:" ; \
  528. $(distcleancheck_listfiles) ; \
  529. exit 1; } >&2
  530. check-am: all-am
  531. check: check-recursive
  532. all-am: Makefile config.h
  533. installdirs: installdirs-recursive
  534. installdirs-am:
  535. install: install-recursive
  536. install-exec: install-exec-recursive
  537. install-data: install-data-recursive
  538. uninstall: uninstall-recursive
  539. install-am: all-am
  540. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  541. installcheck: installcheck-recursive
  542. install-strip:
  543. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  544. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  545. `test -z '$(STRIP)' || \
  546. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  547. mostlyclean-generic:
  548. clean-generic:
  549. distclean-generic:
  550. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  551. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  552. maintainer-clean-generic:
  553. @echo "This command is intended for maintainers to use"
  554. @echo "it deletes files that may require special tools to rebuild."
  555. clean: clean-recursive
  556. clean-am: clean-generic mostlyclean-am
  557. distclean: distclean-recursive
  558. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  559. -rm -f Makefile
  560. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  561. dvi: dvi-recursive
  562. dvi-am:
  563. html: html-recursive
  564. html-am:
  565. info: info-recursive
  566. info-am:
  567. install-data-am:
  568. install-dvi: install-dvi-recursive
  569. install-dvi-am:
  570. install-exec-am:
  571. install-html: install-html-recursive
  572. install-html-am:
  573. install-info: install-info-recursive
  574. install-info-am:
  575. install-man:
  576. install-pdf: install-pdf-recursive
  577. install-pdf-am:
  578. install-ps: install-ps-recursive
  579. install-ps-am:
  580. installcheck-am:
  581. maintainer-clean: maintainer-clean-recursive
  582. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  583. -rm -rf $(top_srcdir)/autom4te.cache
  584. -rm -f Makefile
  585. maintainer-clean-am: distclean-am maintainer-clean-generic
  586. mostlyclean: mostlyclean-recursive
  587. mostlyclean-am: mostlyclean-generic
  588. pdf: pdf-recursive
  589. pdf-am:
  590. ps: ps-recursive
  591. ps-am:
  592. uninstall-am:
  593. .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
  594. ctags-recursive install-am install-strip tags-recursive
  595. .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  596. all all-am am--refresh check check-am clean clean-generic \
  597. ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
  598. dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
  599. distclean distclean-generic distclean-hdr distclean-tags \
  600. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  601. html-am info info-am install install-am install-data \
  602. install-data-am install-dvi install-dvi-am install-exec \
  603. install-exec-am install-html install-html-am install-info \
  604. install-info-am install-man install-pdf install-pdf-am \
  605. install-ps install-ps-am install-strip installcheck \
  606. installcheck-am installdirs installdirs-am maintainer-clean \
  607. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  608. pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
  609. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  610. # Otherwise a system limit (for SysV at least) may be exceeded.
  611. .NOEXPORT: